<template>
  <div>
    <v-row>
      <v-col cols="1">
        <v-text-field value="VOIP" label="SERVICE" disabled/>
      </v-col>
      <v-col cols="1" v-if="vendor === 'ZTE'">
        <v-text-field type="number" v-model="voip.vport" :disabled="disabled" label="VPORT"/>
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="1">
        <v-text-field type="number" v-model="voip.vlan" :disabled="disabled" label="VLAN"/>
      </v-col>
      <v-col cols="1" v-if="open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="pots1"
            label="POTS 1"
            class="shrink mr-2 mt-0"
            @change="doChangePots1"
        />
      </v-col>
      <v-col cols="1" v-if="onu_type !== 'HG6145F' && open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="pots2"
            label="POTS 2"
            class="shrink mr-2 mt-0"
            @change="doChangePots2"
        />
      </v-col>
    </v-row>
    <div v-if="open_ont === 1">
      <v-row
          v-for="(data, i) in voip.data"
          :key="i"
      >
        <v-col cols="1" v-if="status === 1">
          <v-text-field type="number" v-model="data.pots" :value="i + 1" readonly label="POTS"/>
        </v-col>
        <v-col cols="2" v-if="status === 1">
          <v-text-field v-model="data.acc" :disabled="disabled" label="ACCOUNT"/>
        </v-col>
        <v-col cols="2" v-if="status === 1">
          <v-text-field v-model="data.pwd" :disabled="disabled" label="PASSWORD"/>
        </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
export default {
  name: "VoipForm",
  props: ['voip', 'vendor', 'disabled', 'onu_type', 'open_ont', 'status'],
  data: () => ({
    pots1: true,
    pots2: false
  }),
  methods: {
    doChangePots1() {
      if (this.pots1) {
        this.voip.data.push({
            pots: 1,
            acc: null,
            pwd: null
        })
      } else {
        let data = this.voip.data
        for (let i in data) {
          if (data[i].pots === 1) {
            this.voip.data.splice(i, 1)
          }
        }
      }
    },
    doChangePots2() {
      if (this.pots2) {
        this.voip.data.push({
          pots: 2,
          acc: null,
          pwd: null
        })
      } else {
        let data = this.voip.data
        for (let i in data) {
          if (data[i].pots === 2) {
            this.voip.data.splice(i, 1)
          }
        }
      }
    }
  },
}
</script>

<style scoped>

</style>